Index: trunk/BNC/Example_Configs/01_RinexObs.bnc
===================================================================
--- trunk/BNC/Example_Configs/01_RinexObs.bnc	(revision 8584)
+++ trunk/BNC/Example_Configs/01_RinexObs.bnc	(revision 8587)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@mgex.igs-ip.net:80/CUT07 RTCM_3.2 AUS -32.00 115.89 no 1, //Example:Configs@www.igs-ip.net:80/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@mgex.igs-ip.net:80/CUT000AUS0 RTCM_3.2 AUS -32.00 115.89 no 1, //Example:Configs@www.igs-ip.net:80/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1
 ntripVersion=1
 adviseObsRate=
Index: trunk/BNC/Example_Configs/09_PPPNet.bnc
===================================================================
--- trunk/BNC/Example_Configs/09_PPPNet.bnc	(revision 8584)
+++ trunk/BNC/Example_Configs/09_PPPNet.bnc	(revision 8587)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@mgex.igs-ip.net:2101/CUT07 RTCM_3.1 AUS 51.33 12.37 no 1, //Example:Configs@products.igs-ip.net:2101/IGS03 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.1 AUS 51.33 12.37 no 1, //Example:Configs@products.igs-ip.net:2101/IGS03 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1
 ntripVersion=1
 adviseObsRate=
@@ -156,5 +156,5 @@
 snxtroAc=
 snxtroSol=
-staTable="FFMJ1,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,,", "CUT07,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,,"
+staTable="FFMJ1,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,,", "CUT000AUS0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,,"
 useGoogleMap=true
 useOpenStreetMap=false
Index: trunk/BNC/Example_Configs/13_SPPQuickStart.bnc
===================================================================
--- trunk/BNC/Example_Configs/13_SPPQuickStart.bnc	(revision 8584)
+++ trunk/BNC/Example_Configs/13_SPPQuickStart.bnc	(revision 8587)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@mgex.igs-ip.net:2101/CUT07 RTCM_3.0 DEU -32.00 115.89 no 1
+mountPoints=//Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.0 DEU -32.00 115.89 no 1
 ntripVersion=2
 adviseObsRate=
@@ -148,5 +148,5 @@
 minObs=4
 nmeaPath=
-plotCoordinates=CUT07
+plotCoordinates=CUT000AUS0
 rinexNav=
 rinexObs=
@@ -159,5 +159,5 @@
 snxtroAc=
 snxtroSol=
-staTable="CUT07,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,,"
+staTable="CUT000AUS0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,,"
 useGoogleMap=true
 useOpenStreetMap=false
Index: trunk/BNC/Example_Configs/15_Sp3ETRFPPP.bnc
===================================================================
--- trunk/BNC/Example_Configs/15_Sp3ETRFPPP.bnc	(revision 8584)
+++ trunk/BNC/Example_Configs/15_Sp3ETRFPPP.bnc	(revision 8587)
@@ -4,5 +4,5 @@
 adviseScript=
 autoStart=0
-outSampl=0
+outSampl=0.1 sec
 casterUrlList=http://User:Pass@www.euref-ip.net:2101, http://User:Pass@www.igs-ip.net:2101, http://User:Pass@products.igs-ip.net:2101, http://User:Pass@mgex.igs-ip.net:2101
 cmbMaxres=
@@ -18,12 +18,12 @@
 ephV3=0
 font=
-sslIgnoreErrors=0
+sslIgnoreErrors=2
 logFile=Output/SP3ETRFPPP.log
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.euref-ip.net:2101/EUREF01 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 2, //Example:Configs@www.euref-ip.net:2101/EUREF01 RTCM_3.0 DEU 50.00 10.00 no 2, //Example:Configs@www.igs-ip.net:2101/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 2
 ntripVersion=1
 adviseObsRate=
-onTheFlyInterval=1 day
+onTheFlyInterval=no
 ephOutPort=
 outFile=
@@ -31,6 +31,6 @@
 outUPort=
 miscIntr=
-proxyHost=
-proxyPort=
+proxyHost=gate-f
+proxyPort=8001
 rawOutFile=
 reqcAction=
@@ -71,5 +71,5 @@
 rnxOnlyWithSKL=0
 rnxPath=
-rnxSampl=0
+rnxSampl=0.1 sec
 rnxScript=
 rnxSkel=SKL
@@ -92,6 +92,6 @@
 sp3CompOutLogFile=
 sslCaCertPath=
-startTab=16
-statusTab=0
+startTab=0
+statusTab=3
 trafo_dx=
 trafo_dxr=
@@ -123,5 +123,4 @@
 ephV3filenames=0
 rnxV3filenames=0
-sslIgnoreErrors=0
 
 [PPP]
@@ -156,5 +155,5 @@
 snxtroPath=
 snxtroIntr=1 hour
-snxtroSampl=0
+snxtroSampl=1 sec
 snxtroAc=
 snxtroSol=
Index: trunk/BNC/Example_Configs/19_UploadEph.bnc
===================================================================
--- trunk/BNC/Example_Configs/19_UploadEph.bnc	(revision 8584)
+++ trunk/BNC/Example_Configs/19_UploadEph.bnc	(revision 8587)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@mgex.igs-ip.net:80/CUT07 RTCM_3.2 AUS -32.00 115.89 no 1
+mountPoints=//Example:Configs@mgex.igs-ip.net:80/CUT000AUS0 RTCM_3.2 AUS -32.00 115.89 no 1
 ntripVersion=1
 adviseObsRate=
Index: trunk/BNC/Example_Configs/25_ScanLate.sh
===================================================================
--- trunk/BNC/Example_Configs/25_ScanLate.sh	(revision 8584)
+++ trunk/BNC/Example_Configs/25_ScanLate.sh	(revision 8587)
@@ -2,6 +2,6 @@
 
 ../bnc -nw -conf /dev/null \
-       -key mountPoints "//Example:Configs@mgex.igs-ip.net:2101/CUT07 RTCM_3.2 AUS -32.00 115.89 no 1" \
-       -key miscMount CUT07 \
+       -key mountPoints "//Example:Configs@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.2 AUS -32.00 115.89 no 1" \
+       -key miscMount CUT000AUS0 \
        -key miscScanRTCM 2 \
        -key miscIntr "10 sec" \
Index: trunk/BNC/Example_Configs/26_RinexObs.sh
===================================================================
--- trunk/BNC/Example_Configs/26_RinexObs.sh	(revision 8584)
+++ trunk/BNC/Example_Configs/26_RinexObs.sh	(revision 8587)
@@ -2,5 +2,5 @@
 
 ../bnc -nw -conf /dev/null \
-       -key mountPoints "//Example:Configs@mgex.igs-ip.net:80/CUT07 RTCM_3.2 AUS -32.00 115.89 no 1;//Example:Configs@www.igs-ip.net:80/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1" \
+       -key mountPoints "//Example:Configs@mgex.igs-ip.net:80/CUT000AUS0 RTCM_3.2 AUS -32.00 115.89 no 1;//Example:Configs@www.igs-ip.net:80/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1" \
        -key logFile Output/RinexObs.log \
        -key rnxPath Output \