Index: branches/BNC_2.12/Example_Configs/01_RinexObs.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/01_RinexObs.bnc	(revision 8583)
+++ branches/BNC_2.12/Example_Configs/01_RinexObs.bnc	(revision 8588)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@mgex.igs-ip.net:80/CUT07 RTCM_3.2 AUS -32.00 115.89 no 1, //Example:Configs@www.igs-ip.net:80/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@mgex.igs-ip.net:80/CUT000AUS0 RTCM_3.2 AUS -32.00 115.89 no 1, //Example:Configs@www.igs-ip.net:80/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1
 ntripVersion=1
 adviseObsRate=
Index: branches/BNC_2.12/Example_Configs/09_PPPNet.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/09_PPPNet.bnc	(revision 8583)
+++ branches/BNC_2.12/Example_Configs/09_PPPNet.bnc	(revision 8588)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@mgex.igs-ip.net:2101/CUT07 RTCM_3.1 AUS 51.33 12.37 no 1, //Example:Configs@products.igs-ip.net:2101/IGS03 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1
+mountPoints=//Example:Configs@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.1 AUS 51.33 12.37 no 1, //Example:Configs@products.igs-ip.net:2101/IGS03 RTCM_3.0 DEU 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1
 ntripVersion=1
 adviseObsRate=
Index: branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc	(revision 8583)
+++ branches/BNC_2.12/Example_Configs/13_SPPQuickStart.bnc	(revision 8588)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@mgex.igs-ip.net:2101/CUT07 RTCM_3.0 DEU -32.00 115.89 no 1
+mountPoints=//Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 DEU 50.09 8.66 no 1, //Example:Configs@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.0 DEU -32.00 115.89 no 1
 ntripVersion=2
 adviseObsRate=
Index: branches/BNC_2.12/Example_Configs/19_UploadEph.bnc
===================================================================
--- branches/BNC_2.12/Example_Configs/19_UploadEph.bnc	(revision 8583)
+++ branches/BNC_2.12/Example_Configs/19_UploadEph.bnc	(revision 8588)
@@ -22,5 +22,5 @@
 miscMount=
 miscPort=
-mountPoints=//Example:Configs@mgex.igs-ip.net:80/CUT07 RTCM_3.2 AUS -32.00 115.89 no 1
+mountPoints=//Example:Configs@mgex.igs-ip.net:80/CUT000AUS0 RTCM_3.2 AUS -32.00 115.89 no 1
 ntripVersion=1
 adviseObsRate=
Index: branches/BNC_2.12/Example_Configs/25_ScanLate.sh
===================================================================
--- branches/BNC_2.12/Example_Configs/25_ScanLate.sh	(revision 8583)
+++ branches/BNC_2.12/Example_Configs/25_ScanLate.sh	(revision 8588)
@@ -2,6 +2,6 @@
 
 ../bnc -nw -conf /dev/null \
-       -key mountPoints "//Example:Configs@mgex.igs-ip.net:2101/CUT07 RTCM_3.2 AUS -32.00 115.89 no 1" \
-       -key miscMount CUT07 \
+       -key mountPoints "//Example:Configs@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.2 AUS -32.00 115.89 no 1" \
+       -key miscMount CUT000AUS0 \
        -key miscScanRTCM 2 \
        -key miscIntr "10 sec" \
Index: branches/BNC_2.12/Example_Configs/26_RinexObs.sh
===================================================================
--- branches/BNC_2.12/Example_Configs/26_RinexObs.sh	(revision 8583)
+++ branches/BNC_2.12/Example_Configs/26_RinexObs.sh	(revision 8588)
@@ -2,5 +2,5 @@
 
 ../bnc -nw -conf /dev/null \
-       -key mountPoints "//Example:Configs@mgex.igs-ip.net:80/CUT07 RTCM_3.2 AUS -32.00 115.89 no 1;//Example:Configs@www.igs-ip.net:80/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1" \
+       -key mountPoints "//Example:Configs@mgex.igs-ip.net:80/CUT000AUS0 RTCM_3.2 AUS -32.00 115.89 no 1;//Example:Configs@www.igs-ip.net:80/FFMJ1 RTCM_3.0 DEU 50.09 8.66 no 1" \
        -key logFile Output/RinexObs.log \
        -key rnxPath Output \