Index: /branches/BNC_2.12/src/bnccaster.cpp
===================================================================
--- /branches/BNC_2.12/src/bnccaster.cpp	(revision 8619)
+++ /branches/BNC_2.12/src/bnccaster.cpp	(revision 8620)
@@ -95,6 +95,6 @@
     _uSockets = 0;
   }
-  
-  _printLockTime = settings.value("printLockTime",false).toBool();
+
+  _outLockTime = settings.value("outLockTime",false).toBool();
   _samplingRateMult10 = int(settings.value("outSampl").toString().split("sec").first().toDouble() * 10.0);
   _outWait      = settings.value("outWait").toDouble();
@@ -173,5 +173,5 @@
            << setw(4)  << obs._time.gpsw()                      << " "
            << setw(14) << setprecision(7) << obs._time.gpssec() << " "
-           << bncRinex::asciiSatLine(obs,_printLockTime) << endl;
+           << bncRinex::asciiSatLine(obs,_outLockTime) << endl;
 
       string hlpStr = oStr.str();
@@ -319,5 +319,5 @@
           }
           oStr << obs._staID << ' '
-               << bncRinex::asciiSatLine(obs,_printLockTime) << endl;
+               << bncRinex::asciiSatLine(obs,_outLockTime) << endl;
           if (!it.hasNext()) {
             oStr << endl;
@@ -458,5 +458,5 @@
     return;
   }
-  
+
   int ms = 0;
 
Index: /branches/BNC_2.12/src/bnccaster.h
===================================================================
--- /branches/BNC_2.12/src/bnccaster.h	(revision 8619)
+++ /branches/BNC_2.12/src/bnccaster.h	(revision 8620)
@@ -50,5 +50,5 @@
  signals:
    void mountPointsRead(QList<bncGetThread*>);
-   void getThreadsFinished();   
+   void getThreadsFinished();
    void newMessage(QByteArray msg, bool showOnScreen);
    void newObs(QByteArray staID, QList<t_satObs> obsList);
@@ -75,5 +75,5 @@
    QList<QByteArray>               _staIDs;
    QList<bncGetThread*>            _threads;
-   bool                            _printLockTime;   
+   bool                            _outLockTime;
    int                             _samplingRateMult10;
    double                          _outWait;
Index: /branches/BNC_2.12/src/bncrinex.cpp
===================================================================
--- /branches/BNC_2.12/src/bncrinex.cpp	(revision 8619)
+++ /branches/BNC_2.12/src/bncrinex.cpp	(revision 8620)
@@ -601,5 +601,5 @@
 // One Line in ASCII (Internal) Format
 ////////////////////////////////////////////////////////////////////////////
-string bncRinex::asciiSatLine(const t_satObs& obs, bool printLockTime) {
+string bncRinex::asciiSatLine(const t_satObs& obs, bool outLockTime) {
 
   ostringstream str;
@@ -631,9 +631,9 @@
           << right << setw(8) << setprecision(3) << frqObs->_snr;
     }
-    if (frqObs->_lockTimeValid && printLockTime) {
+    if (frqObs->_lockTimeValid && outLockTime) {
       str << ' '
           << left  << setw(3) << "T" + frqObs->_rnxType2ch << ' '
           << right << setw(9) << setprecision(3) << frqObs->_lockTime;
-    }    
+    }
   }
 
Index: /branches/BNC_2.12/src/bncrinex.h
===================================================================
--- /branches/BNC_2.12/src/bncrinex.h	(revision 8619)
+++ /branches/BNC_2.12/src/bncrinex.h	(revision 8620)
@@ -35,7 +35,7 @@
 class bncRinex {
  public:
-   bncRinex(const QByteArray& statID, const QUrl& mountPoint, 
+   bncRinex(const QByteArray& statID, const QUrl& mountPoint,
             const QByteArray& latitude, const QByteArray& longitude,
-            const QByteArray& nmea, const QByteArray& ntripVersion); 
+            const QByteArray& nmea, const QByteArray& ntripVersion);
    ~bncRinex();
 
@@ -46,8 +46,8 @@
 
    static QString nextEpochStr(const QDateTime& datTim,
-                               const QString& intStr, 
+                               const QString& intStr,
                                bool rnxV3,
                                QDateTime* nextEpoch = 0);
-   static std::string asciiSatLine(const t_satObs& obs, bool printLockTime);
+   static std::string asciiSatLine(const t_satObs& obs, bool outLockTime);
 
  private:
Index: /branches/BNC_2.12/src/bncsettings.cpp
===================================================================
--- /branches/BNC_2.12/src/bncsettings.cpp	(revision 8619)
+++ /branches/BNC_2.12/src/bncsettings.cpp	(revision 8620)
@@ -146,5 +146,5 @@
     setValue_p("outFile",             "");
     setValue_p("outUPort",            "");
-    setValue_p("printLockTime",       "0");
+    setValue_p("outLockTime",       "0");
     // Serial Output
     setValue_p("serialMountPoint",    "");
Index: /branches/BNC_2.12/src/bncwindow.cpp
===================================================================
--- /branches/BNC_2.12/src/bncwindow.cpp	(revision 8619)
+++ /branches/BNC_2.12/src/bncwindow.cpp	(revision 8620)
@@ -286,6 +286,6 @@
   _outFileLineEdit    = new QLineEdit(settings.value("outFile").toString());
   _outUPortLineEdit   = new QLineEdit(settings.value("outUPort").toString());
-  _printLockTimeCheckBox = new QCheckBox();
-  _printLockTimeCheckBox->setCheckState(Qt::CheckState(settings.value("printLockTime").toInt()));  
+  _outLockTimeCheckBox = new QCheckBox();
+  _outLockTimeCheckBox->setCheckState(Qt::CheckState(settings.value("outLockTime").toInt()));
 
   connect(_outPortLineEdit, SIGNAL(textChanged(const QString &)),
@@ -295,5 +295,5 @@
           this, SLOT(slotBncTextChanged()));
 
-  connect(_printLockTimeCheckBox, SIGNAL(stateChanged(int)),
+  connect(_outLockTimeCheckBox, SIGNAL(stateChanged(int)),
           this, SLOT(slotBncTextChanged()));
 
@@ -764,5 +764,5 @@
   sLayout->addWidget(_outUPortLineEdit,                             4, 1);
   sLayout->addWidget(new QLabel("Print lock time"),                 5, 0);
-  sLayout->addWidget(_printLockTimeCheckBox,                        5, 1);
+  sLayout->addWidget(_outLockTimeCheckBox,                        5, 1);
   sLayout->addWidget(new QLabel(""),                                6, 1);
   sLayout->setRowStretch(7, 999);
@@ -1290,5 +1290,5 @@
   _outFileLineEdit->setWhatsThis(tr("<p>Specify the full path to a file where synchronized observations are saved in plain ASCII format.</p><p>Beware that the size of this file can rapidly increase depending on the number of incoming streams.</p>"));
   _outUPortLineEdit->setWhatsThis(tr("<p>BNC can produce unsynchronized observations in a plain ASCII format on your local host via IP port.</p><p>Specify a port number to activate this function.</p>"));
-  _printLockTimeCheckBox->setWhatsThis(tr("<p>Print the lock time in seconds in the feed engine output.</p>"));
+  _outLockTimeCheckBox->setWhatsThis(tr("<p>Print the lock time in seconds in the feed engine output.</p>"));
 
   // WhatsThis, Serial Output
@@ -1466,5 +1466,5 @@
   delete _outFileLineEdit;
   delete _outUPortLineEdit;
-  delete _printLockTimeCheckBox;
+  delete _outLockTimeCheckBox;
   delete _serialMountPointLineEdit;
   delete _serialPortNameLineEdit;
@@ -1884,5 +1884,5 @@
   settings.setValue("outFile",     _outFileLineEdit->text());
   settings.setValue("outUPort",    _outUPortLineEdit->text());
-  settings.setValue("printLockTime",_printLockTimeCheckBox->checkState());  
+  settings.setValue("outLockTime",_outLockTimeCheckBox->checkState());
 // Serial Output
   settings.setValue("serialMountPoint",_serialMountPointLineEdit->text());
Index: /branches/BNC_2.12/src/bncwindow.h
===================================================================
--- /branches/BNC_2.12/src/bncwindow.h	(revision 8619)
+++ /branches/BNC_2.12/src/bncwindow.h	(revision 8620)
@@ -65,5 +65,5 @@
     void AddToolbar();
 
-  public slots:  
+  public slots:
     void slotMountPointsRead(QList<bncGetThread*>);
     void slotBncTextChanged();
@@ -116,5 +116,5 @@
     QAction*   _actFontSel;
     QAction*   _actSaveOpt;
-    QAction*   _actQuit; 
+    QAction*   _actQuit;
     QAction*   _actMapMountPoints;
     QAction*   _actStart;
@@ -132,5 +132,5 @@
     QLineEdit* _outPortLineEdit;
     QLineEdit* _outUPortLineEdit;
-    QCheckBox* _printLockTimeCheckBox;    
+    QCheckBox* _outLockTimeCheckBox;
     QLineEdit* _ephOutPortLineEdit;
     QLineEdit* _corrPortLineEdit;
@@ -236,5 +236,5 @@
     bool _runningSp3Comp;
 
-    bool running() {return _runningRealTime || _runningPPP || _runningEdit || 
+    bool running() {return _runningRealTime || _runningPPP || _runningEdit ||
                     _runningQC || _runningSp3Comp;}
 
@@ -252,5 +252,5 @@
  Q_INTERFACES(GnssCenter::t_pluginFactoryInterface)
  public:
-  virtual QWidget* create() {return new bncWindow();} 
+  virtual QWidget* create() {return new bncWindow();}
   virtual QString getName() const {return QString("BNC");}
 };