Index: branches/BNC_2.12/src/RTCM3/RTCM3coDecoder.cpp
===================================================================
--- branches/BNC_2.12/src/RTCM3/RTCM3coDecoder.cpp	(revision 8312)
+++ branches/BNC_2.12/src/RTCM3/RTCM3coDecoder.cpp	(revision 8628)
@@ -687,15 +687,15 @@
       case CODETYPEGPS_L1_P:          return "1P";
       case CODETYPEGPS_L1_Z:          return "1W";
-      //case CODETYPEGPS_L1_Y:          return "1Y";
-      //case CODETYPEGPS_L1_M:          return "1M";
+      case CODETYPEGPS_L1_Y:          return "1Y";
+      case CODETYPEGPS_L1_M:          return "1M";
       case CODETYPEGPS_L2_CA:         return "2C";
       case CODETYPEGPS_SEMI_CODELESS: return "2D";
-      case CODETYPEGPS_L2_CM:         return "2S";
-      case CODETYPEGPS_L2_CL:         return "2L";
-      case CODETYPEGPS_L2_CML:        return "2X";
+      case CODETYPEGPS_L2C_M:         return "2S";
+      case CODETYPEGPS_L2C_L:         return "2L";
+      case CODETYPEGPS_L2C_ML:        return "2X";
       case CODETYPEGPS_L2_P:          return "2P";
       case CODETYPEGPS_L2_Z:          return "2W";
-      //case CODETYPEGPS_L2_Y:          return "2Y";
-      //case CODETYPEGPS_L2_M:          return "2M";
+      case CODETYPEGPS_L2_Y:          return "2Y";
+      case CODETYPEGPS_L2_M:          return "2M";
       case CODETYPEGPS_L5_I:          return "5I";
       case CODETYPEGPS_L5_Q:          return "5Q";
@@ -713,4 +713,10 @@
       case CODETYPEGLONASS_L2_CA:     return "2C";
       case CODETYPEGLONASS_L2_P:      return "2P";
+      case CODETYPEGLONASS_L1a_OCd:   return "4A";
+      case CODETYPEGLONASS_L1a_OCp:   return "4B";
+      case CODETYPEGLONASS_L1a_OCdp:  return "4X";
+      case CODETYPEGLONASS_L2a_CSI:   return "6A";
+      case CODETYPEGLONASS_L2a_OCp:   return "6B";
+      case CODETYPEGLONASS_L2a_CSIOCp:return "6X";
       case CODETYPEGLONASS_L3_I:      return "3I";
       case CODETYPEGLONASS_L3_Q:      return "3Q";
@@ -748,5 +754,4 @@
       case CODETYPEQZSS_L1C_D:         return "1S";
       case CODETYPEQZSS_L1C_P:         return "1L";
-      case CODETYPEQZSS_L1C_DP:        return "1X";
       case CODETYPEQZSS_L2C_M:         return "2S";
       case CODETYPEQZSS_L2C_L:         return "2L";
@@ -755,7 +760,14 @@
       case CODETYPEQZSS_L5_Q:          return "5Q";
       case CODETYPEQZSS_L5_IQ:         return "5X";
-      case CODETYPEQZSS_LEX_S:         return "6S";
-      case CODETYPEQZSS_LEX_L:         return "6L";
-      case CODETYPEQZSS_LEX_SL:        return "6X";
+      case CODETYPEQZSS_L6_D:          return "6S";
+      case CODETYPEQZSS_L6_P:          return "6L";
+      case CODETYPEQZSS_L6_DP:         return "6X";
+      case CODETYPEQZSS_L1C_DP:        return "1X";
+      case CODETYPEQZSS_L1_S:          return "1Z";
+      case CODETYPEQZSS_L5_D:          return "5D";
+      case CODETYPEQZSS_L5_P:          return "5P";
+      case CODETYPEQZSS_L5_DP:         return "5Z";
+      case CODETYPEQZSS_L6_E:          return "6E";
+      case CODETYPEQZSS_L6_DE:         return "6Z";
       default: return "";
     }
@@ -775,10 +787,16 @@
       case CODETYPE_BDS_B1_Q:         return "2Q";
       case CODETYPE_BDS_B1_IQ:        return "2X";
+      case CODETYPE_BDS_B3_I:         return "6I";
+      case CODETYPE_BDS_B3_Q:         return "6Q";
+      case CODETYPE_BDS_B3_IQ:        return "6X";
       case CODETYPE_BDS_B2_I:         return "7I";
       case CODETYPE_BDS_B2_Q:         return "7Q";
       case CODETYPE_BDS_B2_IQ:        return "7X";
-      case CODETYPE_BDS_B3_I:         return "6I";
-      case CODETYPE_BDS_B3_Q:         return "6Q";
-      case CODETYPE_BDS_B3_IQ:        return "6X";
+      case CODETYPE_BDS_B1a_D:        return "1D";
+      case CODETYPE_BDS_B1a_P:        return "1P";
+      case CODETYPE_BDS_B1a_DP:       return "1X";
+      case CODETYPE_BDS_B2a_D:        return "2D";
+      case CODETYPE_BDS_B2a_P:        return "2P";
+      case CODETYPE_BDS_B2a_DP:       return "2X";
       default: return "";
     }