Index: /branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp
===================================================================
--- /branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp	(revision 8647)
+++ /branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp	(revision 8648)
@@ -418,5 +418,49 @@
     if (eph  &&
         eph->checkState() != t_eph::bad &&
-        eph->checkState() != t_eph::unhealthy ) {
+        eph->checkState() != t_eph::unhealthy &&
+        eph->checkState() != t_eph::outdated) {
+
+      struct ClockOrbit::SatData* sd = 0;
+            if (prn.system() == 'G') {
+        sd = co.Sat + co.NumberOfSat[CLOCKORBIT_SATGPS];
+        ++co.NumberOfSat[CLOCKORBIT_SATGPS];
+      }
+      else if (prn.system() == 'R') {
+        sd = co.Sat + CLOCKORBIT_NUMGPS + co.NumberOfSat[CLOCKORBIT_SATGLONASS];
+        ++co.NumberOfSat[CLOCKORBIT_SATGLONASS];
+      }
+      else if (prn.system() == 'E') {
+        sd = co.Sat + CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS
+            + co.NumberOfSat[CLOCKORBIT_SATGALILEO];
+        ++co.NumberOfSat[CLOCKORBIT_SATGALILEO];
+      }
+      else if (prn.system() == 'J') {
+        sd = co.Sat + CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS
+            + CLOCKORBIT_NUMGALILEO + co.NumberOfSat[CLOCKORBIT_SATQZSS];
+        ++co.NumberOfSat[CLOCKORBIT_SATQZSS];
+      }
+      else if (prn.system() == 'S') {
+        sd = co.Sat + CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS
+            + CLOCKORBIT_NUMGALILEO + CLOCKORBIT_NUMQZSS
+            + co.NumberOfSat[CLOCKORBIT_SATSBAS];
+        ++co.NumberOfSat[CLOCKORBIT_SATSBAS];
+      }
+      else if (prn.system() == 'C') {
+        sd = co.Sat + CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS
+            + CLOCKORBIT_NUMGALILEO + CLOCKORBIT_NUMQZSS + CLOCKORBIT_NUMSBAS
+            + co.NumberOfSat[CLOCKORBIT_SATBDS];
+        ++co.NumberOfSat[CLOCKORBIT_SATBDS];
+      }
+      if (sd) {
+        QString outLine;
+        t_irc irc = processSatellite(eph, epoTime.gpsw(), epoTime.gpssec(), prnStr, rtnAPC,
+                                     rtnUra, rtnClk, rtnVel, rtnCoM, rtnClkSig, sd, outLine);
+        if (irc != success) {
+          // very few cases: check states bad and unhealthy are excluded earlier
+          sd->ID = prnStr.mid(1).toInt(); // to prevent G00, R00 entries
+          sd->IOD = eph->IOD();
+        }
+      }
+
       QMap<QString, double> codeBiases;
       QList<phaseBiasSignal> phaseBiasList;
@@ -503,46 +547,4 @@
           emit(newMessage("                      RTNET format error: "
                           +  lines[ii].toAscii(), false));
-        }
-      }
-
-      struct ClockOrbit::SatData* sd = 0;
-      if (prn.system() == 'G') {
-        sd = co.Sat + co.NumberOfSat[CLOCKORBIT_SATGPS];
-        ++co.NumberOfSat[CLOCKORBIT_SATGPS];
-      }
-      else if (prn.system() == 'R') {
-        sd = co.Sat + CLOCKORBIT_NUMGPS + co.NumberOfSat[CLOCKORBIT_SATGLONASS];
-        ++co.NumberOfSat[CLOCKORBIT_SATGLONASS];
-      }
-      else if (prn.system() == 'E') {
-        sd = co.Sat + CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS
-            + co.NumberOfSat[CLOCKORBIT_SATGALILEO];
-        ++co.NumberOfSat[CLOCKORBIT_SATGALILEO];
-      }
-      else if (prn.system() == 'J') {
-        sd = co.Sat + CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS
-            + CLOCKORBIT_NUMGALILEO + co.NumberOfSat[CLOCKORBIT_SATQZSS];
-        ++co.NumberOfSat[CLOCKORBIT_SATQZSS];
-      }
-      else if (prn.system() == 'S') {
-        sd = co.Sat + CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS
-            + CLOCKORBIT_NUMGALILEO + CLOCKORBIT_NUMQZSS
-            + co.NumberOfSat[CLOCKORBIT_SATSBAS];
-        ++co.NumberOfSat[CLOCKORBIT_SATSBAS];
-      }
-      else if (prn.system() == 'C') {
-        sd = co.Sat + CLOCKORBIT_NUMGPS + CLOCKORBIT_NUMGLONASS
-            + CLOCKORBIT_NUMGALILEO + CLOCKORBIT_NUMQZSS + CLOCKORBIT_NUMSBAS
-            + co.NumberOfSat[CLOCKORBIT_SATBDS];
-        ++co.NumberOfSat[CLOCKORBIT_SATBDS];
-      }
-      if (sd) {
-        QString outLine;
-        t_irc irc = processSatellite(eph, epoTime.gpsw(), epoTime.gpssec(), prnStr, rtnAPC,
-                                     rtnUra, rtnClk, rtnVel, rtnCoM, rtnClkSig, sd, outLine);
-        if (irc != success) {
-          // very few cases: check states bad and unhealthy are excluded earlier
-          sd->ID = prnStr.mid(1).toInt(); // to prevent G00, R00 entries
-          sd->IOD = eph->IOD();
         }
       }