Index: /branches/BNC_2.12/ChangeLog.txt
===================================================================
--- /branches/BNC_2.12/ChangeLog.txt	(revision 8722)
+++ /branches/BNC_2.12/ChangeLog.txt	(revision 8723)
@@ -7,7 +7,7 @@
     CHANGED (26.04.2019): GLONASS ephemerides validity is now up to 2 hours.
                           After that, they will be marked as outdated.
-    CHANGED (10.04.2019): check with respect to wrong observation epochs
-    FIXED   (29.04.2019): bug with respect to GLONASS upload
-    FIXED   (26.04.2019): small Bug in NMEA output
+    CHANGED (10.04.2019): Check with respect to wrong observation epochs
+    FIXED   (29.04.2019): Bug with respect to GLONASS upload
+    FIXED   (26.04.2019): Small Bug in NMEA output
 
 --------------------------------------------------------------------------------
@@ -15,16 +15,16 @@
 --------------------------------------------------------------------------------
     ADDED   (21.03.2019): Updates regarding RINEX Version 3.04
-    ADDED   (28.02.2019): lock time in seconds as an optional feed engine output
-    ADDED   (27.09.2018): possibility to request a user and password
+    ADDED   (28.02.2019): Lock time in seconds as an optional feed engine output
+    ADDED   (27.09.2018): Possibility to request a user and password
                           detected sourcetable
-    ADDED   (19.09.2018): two more polynomial coefficients of the SSR clock correction
+    ADDED   (19.09.2018): Two more polynomial coefficients of the SSR clock correction
                           message and one more parameter to decribe the SSR URA
-    ADDED   (11.12.2017): decoding of receiver descriptor in MT 1033
-    ADDED   (27.11.2017): satellite health check
+    ADDED   (11.12.2017): Decoding of receiver descriptor in MT 1033
+    ADDED   (27.11.2017): Satellite health check
     ADDED   (26.10.2017): IRNSS support in RINEX QC
-    CHANGED (06.07.2018): parameters for transformation of orbit and clock corrections
+    CHANGED (06.07.2018): Parameters for transformation of orbit and clock corrections
                           from ITRF 2014 into ETRF2000 and DREF 91,
                           no updated parameters for NDA83 available, hence deleted
-    CHANGED (28.06.2018): allow 10 Hz observation data processing and re-sampling
+    CHANGED (28.06.2018): Allow 10 Hz observation data processing and re-sampling
                           harmonization of BNCs re-sampling applications
     CHANGED (23.03.2018): SSR SBAS and BDS satellite IDs with respect to the proposal
@@ -42,5 +42,5 @@
     FIXED   (05.02.2018): Bug in latency check
     FIXED   (13.12.2017): Galileo geocentric gravitational constant is corrected
-    FIXED   (17.11.2017): encoding/decoding of all missing parameters in MT 1020
+    FIXED   (17.11.2017): Encoding/decoding of all missing parameters in MT 1020
     FIXED   (23.10.2017): Bug in RTCM3 MSM Decoder
 --------------------------------------------------------------------------------
@@ -63,28 +63,28 @@
  BNC VERSION 2.12.3 (05.09.2016)
 --------------------------------------------------------------------------------
-    ADDED   (01.09.2016): number of allowed SSR biases is enlarged, some future
+    ADDED   (01.09.2016): Number of allowed SSR biases is enlarged, some future
                           GLONASS signal and tracking mode identifier are added
-    ADDED   (08.08.2016): some informations about the data source is added as
+    ADDED   (08.08.2016): Some informations about the data source is added as
                           comment within the header of RINEX navigation files
-    ADDED   (21.07.2016): frequency specific signal priorities are added for
+    ADDED   (21.07.2016): Frequency specific signal priorities are added for
                           RINEX version 3 to RINEX version 2 conversion
-    ADDED   (29.06.2016): consideration of provioder ID changes in SSR streams
+    ADDED   (29.06.2016): Consideration of provioder ID changes in SSR streams
                           during PPP analysis
-    CHANGED (28.07.2016): small adaptations in qwtpolar sources to allow a
+    CHANGED (28.07.2016): Small adaptations in qwtpolar sources to allow a
                           successful comilation of BNC on a Rasperry Pi
     CHANGED (21.07.2016): Default signal priority list
-    CHANGED (08.06.2016): weighting factor for GLONASS phase observations
+    CHANGED (08.06.2016): Weighting factor for GLONASS phase observations
                           is now enlarged
     CHANGED (27.05.2016): RINEX 2.11 ephemeris output for an unknown
                           transmission time is set to 0.000000000000e+00
-    CHANGED (24.05.2016): the real satellite visibility is considered, if the
+    CHANGED (24.05.2016): The real satellite visibility is considered, if the
                           expected observations are computed in RINEX QC
-    FIXED   (12.08.2016): check regarding wrong observation epochs is done during
+    FIXED   (12.08.2016): Check regarding wrong observation epochs is done during
                           latency check as well to prevent erroneous latencies
-    FIXED   (08.06.2016): map generation from sourcetable entry
+    FIXED   (08.06.2016): Map generation from sourcetable entry
     FIXED   (02.06.2016): the approach how to wait for clock corrections
                           in PPP mode, which was well proven in BNC verson 2.11
                           is re-implemented
-    FIXED   (30.05.2016): some NMEA components in PPP output are fixed:
+    FIXED   (30.05.2016): Some NMEA components in PPP output are fixed:
                           time stamp is now UTC, hDop value instead pDop value
 
@@ -92,7 +92,7 @@
  BNC VERSION 2.12.2 (18.05.2016)
 --------------------------------------------------------------------------------
-    ADDED   (18.05.2013): expected observations in RINEX QC
-    ADDED   (12.05.2016): limits for spherical harmonics/degree order extended
-    FIXED   (12.05.2016): wrong RINEX v2 header line excluded
+    ADDED   (18.05.2013): Expected observations in RINEX QC
+    ADDED   (12.05.2016): Limits for spherical harmonics/degree order extended
+    FIXED   (12.05.2016): Wrong RINEX v2 header line excluded
 
 --------------------------------------------------------------------------------
@@ -100,9 +100,7 @@
 --------------------------------------------------------------------------------
     FIXED   (21.04.2016): RINEX v2 file naming for observation files
-    CHANGED (21.04.2016): release number is now part of BNC version
+    CHANGED (21.04.2016): Release number is now part of BNC version
 
 --------------------------------------------------------------------------------
  BNC VERSION 2.12.0 (19.04.2016)
 --------------------------------------------------------------------------------
-
-