Index: trunk/BNC/src/pppMain.cpp
===================================================================
--- trunk/BNC/src/pppMain.cpp	(revision 8098)
+++ trunk/BNC/src/pppMain.cpp	(revision 8773)
@@ -183,25 +183,5 @@
       opt->_corrWaitTime = 0;
     }
-
-    if      (settings.value("PPP/lcGPS").toString() == "P1") {
-      opt->_LCsGPS.push_back(t_lc::c1);
-    }
-    else if (settings.value("PPP/lcGPS").toString() == "L1") {
-      opt->_LCsGPS.push_back(t_lc::l1);
-    }
-    else if (settings.value("PPP/lcGPS").toString() == "P1&L1") {
-      opt->_LCsGPS.push_back(t_lc::c1);
-      opt->_LCsGPS.push_back(t_lc::l1);
-    }
-    if      (settings.value("PPP/lcGPS").toString() == "P2") {
-      opt->_LCsGPS.push_back(t_lc::c2);
-    }
-    else if (settings.value("PPP/lcGPS").toString() == "L2") {
-      opt->_LCsGPS.push_back(t_lc::l2);
-    }
-    else if (settings.value("PPP/lcGPS").toString() == "P2&L2") {
-      opt->_LCsGPS.push_back(t_lc::c2);
-      opt->_LCsGPS.push_back(t_lc::l2);
-    }
+    // GPS
     if      (settings.value("PPP/lcGPS").toString() == "Pi") {
       opt->_LCsGPS.push_back(t_lc::c1);
@@ -228,25 +208,5 @@
       opt->_LCsGPS.push_back(t_lc::lIF);
     }
-
-    if      (settings.value("PPP/lcGLONASS").toString() == "P1") {
-      opt->_LCsGLONASS.push_back(t_lc::c1);
-    }
-    else if (settings.value("PPP/lcGLONASS").toString() == "L1") {
-      opt->_LCsGLONASS.push_back(t_lc::l1);
-    }
-    else if (settings.value("PPP/lcGLONASS").toString() == "P1&L1") {
-      opt->_LCsGLONASS.push_back(t_lc::c1);
-      opt->_LCsGLONASS.push_back(t_lc::l1);
-    }
-    if      (settings.value("PPP/lcGLONASS").toString() == "P2") {
-      opt->_LCsGLONASS.push_back(t_lc::c2);
-    }
-    else if (settings.value("PPP/lcGLONASS").toString() == "L2") {
-      opt->_LCsGLONASS.push_back(t_lc::l2);
-    }
-    else if (settings.value("PPP/lcGLONASS").toString() == "P2&L2") {
-      opt->_LCsGLONASS.push_back(t_lc::c2);
-      opt->_LCsGLONASS.push_back(t_lc::l2);
-    }
+    // GLONASS
     if      (settings.value("PPP/lcGLONASS").toString() == "Pi") {
       opt->_LCsGLONASS.push_back(t_lc::c1);
@@ -273,25 +233,5 @@
       opt->_LCsGLONASS.push_back(t_lc::lIF);
     }
-
-    if      (settings.value("PPP/lcGalileo").toString() == "P1") {
-      opt->_LCsGalileo.push_back(t_lc::c1);
-    }
-    else if (settings.value("PPP/lcGalileo").toString() == "L1") {
-      opt->_LCsGalileo.push_back(t_lc::l1);
-    }
-    else if (settings.value("PPP/lcGalileo").toString() == "P1&L1") {
-      opt->_LCsGalileo.push_back(t_lc::c1);
-      opt->_LCsGalileo.push_back(t_lc::l1);
-    }
-    if      (settings.value("PPP/lcGalileo").toString() == "P5") {
-      opt->_LCsGalileo.push_back(t_lc::c2);
-    }
-    else if (settings.value("PPP/lcGalileo").toString() == "L5") {
-      opt->_LCsGalileo.push_back(t_lc::l2);
-    }
-    else if (settings.value("PPP/lcGalileo").toString() == "P5&L5") {
-      opt->_LCsGalileo.push_back(t_lc::c2);
-      opt->_LCsGalileo.push_back(t_lc::l2);
-    }
+    // Galileo
     if      (settings.value("PPP/lcGalileo").toString() == "Pi") {
       opt->_LCsGalileo.push_back(t_lc::c1);
@@ -318,25 +258,5 @@
       opt->_LCsGalileo.push_back(t_lc::lIF);
     }
-
-    if      (settings.value("PPP/lcBDS").toString() == "P2") {
-      opt->_LCsBDS.push_back(t_lc::c1);
-    }
-    else if (settings.value("PPP/lcBDS").toString() == "L2") {
-      opt->_LCsBDS.push_back(t_lc::l1);
-    }
-    else if (settings.value("PPP/lcBDS").toString() == "P2&L2") {
-      opt->_LCsBDS.push_back(t_lc::c1);
-      opt->_LCsBDS.push_back(t_lc::l1);
-    }
-    if      (settings.value("PPP/lcBDS").toString() == "P7") {
-      opt->_LCsBDS.push_back(t_lc::c2);
-    }
-    else if (settings.value("PPP/lcBDS").toString() == "L7") {
-      opt->_LCsBDS.push_back(t_lc::l2);
-    }
-    else if (settings.value("PPP/lcBDS").toString() == "P7&L7") {
-      opt->_LCsBDS.push_back(t_lc::c2);
-      opt->_LCsBDS.push_back(t_lc::l2);
-    }
+    // BDS
     if      (settings.value("PPP/lcBDS").toString() == "Pi") {
       opt->_LCsBDS.push_back(t_lc::c1);